PHP Manual
Prev |  | Next

# xdiff_file_diff

(PECL)

xdiff_file_diff -- Make unified diff of two files

## Description

bool xdiff_file_diff ( string file1, string file2, string dest [, int context [, bool minimal]] )

Makes a diff of two files and stores the result in a file.

## Parameters

`file1`

`file2`

`dest`

  Path of the resulting file.

`context`

  Indicates how many lines of context you want to include in diff result.

`minimal`

  Set this parameter to `TRUE` if you want to minimalize size of diff (can take a long time). Resulting file is human-readable.

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## Examples

Example 1. xdiff_file_diff() example

The following code makes unified diff of two php files.

`<?php $old_version = 'my_script.php'; $new_version = 'my_new_script.php'; xdiff_file_diff($old_version, $new_version, 'my_script.diff', 2); ?>`

## Notes

> Note: This function doesn't work well with binary files. To make diff of binary files use xdiff_file_diff_binary().

## See Also

xdiff_string_diff()

Prev | Home | Next
xdiff_file_diff_binary | Up | xdiff_file_merge3